Notify API reference

Notify API · Notification-Types

get/v1/workspaces/{workspace_id}/notification-typesAuth

List notification types

Newest first; archived types only with `include_archived=true`.

Path parameters

workspace_id*string · uuid

Id of the workspace.

Query parameters

categorystring

Only types of this category (key).

include_archivedstring

Include archived types.

cursorstring

Opaque cursor: the `next_cursor` of the previous page.

limitinteger

Page size.

Response · 200 A page of types.

data*array

Types, newest first.

pagination*object

The cursor for the next page.

Example

Request

GET https://api.notify.productcraft.co/v1/workspaces/{workspace_id}/notification-types
Authorization: Bearer YOUR_TOKEN

Response

{
  "data": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "key": "invoice.paid",
      "name": "string",
      "description": "string",
      "category_id": "00000000-0000-0000-0000-000000000000",
      "category_key": "string",
      "routing": {},
      "critical": false,
      "ttl_seconds": 0,
      "default_locale": "string",
      "email_quiet_hours": false,
      "throttle": {},
      "archived_at": "2026-01-01T00:00:00.000Z",
      "version": 0,
      "templates": [
        {
          "channel": {},
          "locale": "pt-PT",
          "version": 0,
          "updated_at": "2026-01-01T00:00:00.000Z"
        }
      ],
      "created_at": "2026-01-01T00:00:00.000Z",
      "updated_at": "2026-01-01T00:00:00.000Z"
    }
  ],
  "pagination": {}
}